import * as React from 'react';
import { EditorDirection, PreviewComponents } from '../types';
type MarkdownPreviewProps = {
    /**
     * Minimum height to set for the markdown preview
     */
    minHeight?: string | number;
    mode: 'default' | 'zen';
    direction: EditorDirection;
    value: string;
    previewComponents?: PreviewComponents;
};
declare const MarkdownPreview: React.MemoExoticComponent<(props: MarkdownPreviewProps) => React.JSX.Element>;
export default MarkdownPreview;
