import React from 'react';
import { DialogsAPI } from '@contentful/app-sdk';
export type EmbedExternalContentModalResult = string | false | undefined;
type EmbedExternalContentModalProps = {
    onClose: (result: EmbedExternalContentModalResult) => void;
};
export declare const EmbedExternalContentModal: ({ onClose }: EmbedExternalContentModalProps) => React.JSX.Element;
export declare const openEmbedExternalContentDialog: (dialogs: DialogsAPI) => Promise<EmbedExternalContentModalResult>;
export {};
