"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "default", {
    enumerable: true,
    get: function() {
        return MarkdownPreviewSkeleton;
    }
});
const _react = /*#__PURE__*/ _interop_require_default(require("react"));
const _f36components = require("@contentful/f36-components");
const _f36tokens = /*#__PURE__*/ _interop_require_default(require("@contentful/f36-tokens"));
const _emotion = require("emotion");
function _interop_require_default(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
const styles = {
    root: (0, _emotion.css)({
        border: `1px solid ${_f36tokens.default.gray400}`,
        borderWidth: '0 1px',
        minHeight: '300px',
        padding: `${_f36tokens.default.spacingL}`
    })
};
function MarkdownPreviewSkeleton() {
    return /*#__PURE__*/ _react.default.createElement(_f36components.Skeleton.Container, {
        className: styles.root
    }, /*#__PURE__*/ _react.default.createElement(_f36components.Skeleton.DisplayText, null), /*#__PURE__*/ _react.default.createElement(_f36components.Skeleton.BodyText, {
        offsetTop: 37,
        numberOfLines: 5
    }));
}
