"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "getCtrlKey", {
    enumerable: true,
    get: function() {
        return getCtrlKey;
    }
});
const _get = /*#__PURE__*/ _interop_require_default(require("lodash/get"));
function _interop_require_default(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
const userAgent = (0, _get.default)(window, 'navigator.userAgent', '');
const platform = (0, _get.default)(window, 'navigator.platform', '');
let ctrlKey = 'Ctrl';
const tests = {
    ios: /(iphone os|ipad|iphone|ipod)/i.test(userAgent) && !window.MSStream
};
if (tests.ios || /mac(68k|ppc|intel)/i.test(platform)) {
    ctrlKey = 'Cmd';
}
function getCtrlKey() {
    return ctrlKey;
}
