import * as React from 'react';
import { Menu } from '@contentful/f36-components';
export const HeadingSelector = (props)=>{
    const handleMenuClick = (heading)=>{
        props.onSelect(heading);
    };
    return /*#__PURE__*/ React.createElement(Menu, null, /*#__PURE__*/ React.createElement(Menu.Trigger, null, props.children), /*#__PURE__*/ React.createElement(Menu.List, null, /*#__PURE__*/ React.createElement(Menu.Item, {
        testId: "markdown-action-button-heading-h1",
        onClick: ()=>handleMenuClick('h1')
    }, "Heading 1"), /*#__PURE__*/ React.createElement(Menu.Item, {
        testId: "markdown-action-button-heading-h2",
        onClick: ()=>handleMenuClick('h2')
    }, "Heading 2"), /*#__PURE__*/ React.createElement(Menu.Item, {
        testId: "markdown-action-button-heading-h3",
        onClick: ()=>handleMenuClick('h3')
    }, "Heading 3")));
};
