import React from 'react';
import { EditorDirection } from '../../types';
import { createMarkdownEditor } from './createMarkdownEditor';
export type InitializedEditorType = ReturnType<typeof createMarkdownEditor>;
type MarkdownTextareaProps = {
    /**
     * Minimum height to set for the markdown text area
     */
    minHeight?: string | number;
    mode: 'default' | 'zen';
    direction: EditorDirection;
    disabled: boolean;
    visible: boolean;
    onReady: (editor: InitializedEditorType) => void;
};
export declare const MarkdownTextarea: React.MemoExoticComponent<(props: MarkdownTextareaProps) => React.JSX.Element>;
export {};
