import * as React from 'react';
import { MarkdownActions } from '../types';
interface MarkdownToolbarProps {
    canUploadAssets: boolean;
    disabled: boolean;
    actions: MarkdownActions;
    mode: 'default' | 'zen';
}
export declare function DefaultMarkdownToolbar(props: MarkdownToolbarProps): React.JSX.Element;
export declare function ZenMarkdownToolbar(props: MarkdownToolbarProps): React.JSX.Element;
export declare const MarkdownToolbar: React.MemoExoticComponent<(props: MarkdownToolbarProps) => React.JSX.Element>;
export {};
