import React from 'react';
import { DialogsAPI } from '@contentful/app-sdk';
type InsertLinkModalPositiveResult = {
    url: string;
    text: string;
    title: string;
};
export type InsertLinkModalResult = InsertLinkModalPositiveResult | false | undefined;
type InsertLinkModalProps = {
    selectedText?: string;
    onClose: (result: InsertLinkModalResult) => void;
};
export declare const InsertLinkModal: ({ selectedText, onClose }: InsertLinkModalProps) => React.JSX.Element;
export declare const openInsertLinkDialog: (dialogs: DialogsAPI, params: {
    selectedText?: string;
}) => Promise<InsertLinkModalResult>;
export {};
