import React from 'react';
import { DialogsAPI } from '@contentful/app-sdk';
type InsertTableModalPositiveResult = {
    cols: number;
    rows: number;
};
export type InsertTableModalResult = InsertTableModalPositiveResult | false | undefined;
type InsertTableModalProps = {
    onClose: (result: InsertTableModalResult) => void;
};
export declare const InsertTableModal: ({ onClose }: InsertTableModalProps) => React.JSX.Element;
export declare const openInsertTableDialog: (dialogs: DialogsAPI) => Promise<InsertTableModalResult>;
export {};
