import React from 'react';
import { DialogsAPI } from '@contentful/app-sdk';
export type SpecialCharacterModalResult = string | false | undefined;
type SpecialCharacterModalDialogProps = {
    onClose: (result: SpecialCharacterModalResult) => void;
};
export declare const SpecialCharacterModalDialog: ({ onClose }: SpecialCharacterModalDialogProps) => React.JSX.Element;
export declare const openInsertSpecialCharacter: (dialogs: DialogsAPI) => Promise<SpecialCharacterModalResult>;
export {};
